Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface PortalPersonalization

All Known Subinterfaces:
  GroupPersonalization

public interface PortalPersonalization
extends BaseEJBObject

The portal personalization EJB interface.

Method Summary
`int` | `getColumn()` Get column.
`java.lang.String` | `getPortalName()` Get portal name.
`java.lang.String` | `getPortletName()` Get portlet name.
`int` | `getRow()` Get row.
`boolean` | `isAvailable()` Is the portlet available?
`boolean` | `isEditable()` Is the portlet editable?
`boolean` | `isFloatable()` Is the portlet floatable?
`boolean` | `isMandatory()` Is it mandatory?
`boolean` | `isMaximizeable()` Is the portlet maximizeable?
`boolean` | `isMinimizeable()` Is the portlet minimizeable?
`boolean` | `isMinimized()` Is the portlet minimized?
`boolean` | `isMoveable()` Is the portlet moveable?
`boolean` | `isVisible()` Is the portlet visible?
`void` | `setAvailable(boolean aBool)` Set the portlet's availability.
`void` | `setColumn(int aPos)` Set column.
`void` | `setEditable(boolean aBool)` Set editable.
`void` | `setFloatable(boolean aBool)` Set floatable.
`void` | `setMandatory(boolean aBool)` Set mandatory.
`void` | `setMaximizeable(boolean aBool)` Set maximizeable.
`void` | `setMinimizeable(boolean aBool)` Set minimizeable.
`void` | `setMinimized(boolean aBool)` Set minimized.
`void` | `setMoveable(boolean aBool)` Set moveable.
`void` | `setRow(int aPos)` Set row.
`void` | `setVisible(boolean aBool)` Set visible.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getPortalName

    public java.lang.String getPortalName()
                                   throws java.rmi.RemoteException

  Get portal name.
  Returns:
    `String` the portal name.
  Throws:
    `RemoteException` - container error.

### getPortletName

    public java.lang.String getPortletName()
                                    throws java.rmi.RemoteException

  Get portlet name.
  Returns:
    `String` the portlet name.
  Throws:
    `RemoteException` - container error.

### isAvailable

    public boolean isAvailable()
                        throws java.rmi.RemoteException

  Is the portlet available?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setAvailable

    public void setAvailable(boolean aBool)
                      throws java.rmi.RemoteException

  Set the portlet's availability.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isMandatory

    public boolean isMandatory()
                        throws java.rmi.RemoteException

  Is it mandatory?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setMandatory

    public void setMandatory(boolean aBool)
                      throws java.rmi.RemoteException

  Set mandatory.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isMoveable

    public boolean isMoveable()
                       throws java.rmi.RemoteException

  Is the portlet moveable?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setMoveable

    public void setMoveable(boolean aBool)
                     throws java.rmi.RemoteException

  Set moveable.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isMinimizeable

    public boolean isMinimizeable()
                           throws java.rmi.RemoteException

  Is the portlet minimizeable?
  Returns:
    `boolean` yes/no
  Throws:
    `RemoteException` -

### setMinimizeable

    public void setMinimizeable(boolean aBool)
                         throws java.rmi.RemoteException

  Set minimizeable.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isMaximizeable

    public boolean isMaximizeable()
                           throws java.rmi.RemoteException

  Is the portlet maximizeable?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setMaximizeable

    public void setMaximizeable(boolean aBool)
                         throws java.rmi.RemoteException

  Set maximizeable.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isFloatable

    public boolean isFloatable()
                        throws java.rmi.RemoteException

  Is the portlet floatable?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setFloatable

    public void setFloatable(boolean aBool)
                      throws java.rmi.RemoteException

  Set floatable.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isVisible

    public boolean isVisible()
                      throws java.rmi.RemoteException

  Is the portlet visible?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setVisible

    public void setVisible(boolean aBool)
                    throws java.rmi.RemoteException

  Set visible.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### getRow

    public int getRow()
               throws java.rmi.RemoteException

  Get row.
  Returns:
    `int` the row.
  Throws:
    `RemoteException` - container error.

### setRow

    public void setRow(int aPos)
                throws java.rmi.RemoteException

  Set row.
  Parameters:
    `aPos` - the row.
  Throws:
    `RemoteException` - container error.

### getColumn

    public int getColumn()
                  throws java.rmi.RemoteException

  Get column.
  Returns:
    `int` the column.
  Throws:
    `RemoteException` - container error.

### setColumn

    public void setColumn(int aPos)
                   throws java.rmi.RemoteException

  Set column.
  Parameters:
    `aPos` - the column.
  Throws:
    `RemoteException` - container error.

### setMinimized

    public void setMinimized(boolean aBool)
                      throws java.rmi.RemoteException

  Set minimized.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isMinimized

    public boolean isMinimized()
                        throws java.rmi.RemoteException

  Is the portlet minimized?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

### setEditable

    public void setEditable(boolean aBool)
                     throws java.rmi.RemoteException

  Set editable.
  Parameters:
    `aBool` - yes/no.
  Throws:
    `RemoteException` - container error.

### isEditable

    public boolean isEditable()
                       throws java.rmi.RemoteException

  Is the portlet editable?
  Returns:
    `boolean` yes/no.
  Throws:
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved